[Seaside] Re: seasidehosting.st - which seaside versions work?

Lukas Renggli renggli at gmail.com
Thu Mar 2 16:52:09 UTC 2006

> > I looked than at:
> > http://lists.squeakfoundation.org/pipermail/seaside/2006-February/006928.html
> >
> > Do I really have to downgrade to Seaside 2.5?
> You do not need to downgrade to 2.5, and I don't think the
> message says that you need to. It says the opposite, you need
> to upgrade to 2.6 if you want to be able to set the default
> (i.e. http://foo.seasidehosting.st instead of
> http://foo.seasidehosting.st/seaside/myapp).

Yes, that particular feature only works in 2.6, but I guess that is
not the problem the original poster asked about.

Just as a side-node: there is "bug" in all Seaside versions, that
prevents properly running Pier (and probably other applications that
use custom URLs). The problem is that there is no clear distinction
between Application>>basePath and how the application is nested within
WADispatcher. The problem could be solved, if the application would
have parent information to its WADispatcher's, so that Pier (or any
other application) could properly decide what part belongs to Seaside
and what parts are customized.


Lukas Renggli

More information about the Seaside mailing list